POST/projects/api/v3/comments.json

Create a comment

Creates a new comment attached to the object identified by one of the query parameters (taskId, fileVersionId, notebookId, milestoneId, linkId, eventId, statusId, or projectUpdateId).

Body Params

Request contains information of a comment to be created or updated.

    • Name
      attachments
      Type
      object
    • Name
      comment
      Type
      object
      Description
      Comment contains all the information from a comment.
    • Name
      commentOptions
      Type
      object

    Responses

    • Code
      201
      Type
      object
      Schema
      Description
      201 Created
      Response contains information about a specific comment.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    201 Created

    Response
    {  "comments": {    "body": "string",    "commentLink": "string",    "contentType": "string",    "dateDeleted": "string",    "dateLastEdited": "string",    "deleted": true,    "deletedBy": 0,    "deletedByUserId": 0,    "fileCount": 0,    "fileIds": [      0    ],    "files": [      {        "id": 0,        "meta": {},